package com.xxfc.platform.tour.mapper;


import  com.xxfc.platform.tour.entity.TourGoodVerification;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 旅游线路核销明细
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-14 09:36:50
 */
public interface TourGoodVerificationMapper extends Mapper<TourGoodVerification> {

    //删除线路核销
    public int  delVerification( @Param("list") List<Integer> ids);


    /**
     * 保存线路核销
     * @param tourGoodVerification
     * @return
     */
    @Insert("insert into tour_good_verification(`spe_id`,`site_id`,`good_id`)values(#{speId} ,#{siteId} ,#{goodId}) where `spe_id`<>#{spId} and `site_id`<>#{siteId} and `good_id`<>#{goodId}")
    int insertTourGoodVerification(TourGoodVerification tourGoodVerification);

    /**
     * 更新总人数 或 上车人数
     * @param goodId
     * @param speId
     * @param siteId
     * @param fileName
     * @return
     */
    @Update("update tour_good_verification set ${fileName}=${fileName}+1 where `good_id`=#{goodId} and `spe_id`=#{speId} and `site_id`=#{siteId}")
    int updateTourGoodPerNumbs(@Param("goodId") Integer goodId, @Param("speId") Integer speId, @Param("siteId") Integer siteId,@Param("fileName") String fileName);

    /**
     * 更新出发状态
     * @param goodId
     * @param speId
     * @param siteId
     * @return
     */
    @Update("update tour_good_verification set `status`=#{status} where where `good_id`=#{goodId} and `spe_id`=#{speId} and `site_id`=#{siteId}")
    int updateStatusByGoodIdAndSpeIdAndSiteId(@Param("goodId") Integer goodId, @Param("speId") Integer speId, @Param("siteId") Integer siteId,@Param("status") Integer status);
}
