package com.xxfc.platform.tour.rest;


import com.github.pagehelper.Page;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.xxfc.platform.tour.biz.TourGoodVerificationBiz;
import com.xxfc.platform.tour.vo.TourGoodOrderFindVo;
import com.xxfc.platform.tour.vo.TourGoodOrderVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author libin
 * @version 1.0
 * @description 核销
 * @data 2019/6/14 15:16
 */
@RestController
@RequestMapping("/tourGood/verification")
@Api("旅游订单")
public class TourGoodVerificationController {

      @Autowired
      private TourGoodVerificationBiz tourGoodVerificationBiz;

    /**
     * 查询订单列表
     * @param tourGoodOrderFindVo
     * @return
     */
     @ApiOperation("订单列表的查询")
     @GetMapping("/orders")
     public ObjectRestResponse<PageDataVO<TourGoodOrderVo>> findTourGoodOrders(TourGoodOrderFindVo tourGoodOrderFindVo){
          PageDataVO<TourGoodOrderVo> tourGoodOrderPageDataVo = tourGoodVerificationBiz.findTourGoodOrdersPage(tourGoodOrderFindVo);
          return ObjectRestResponse.succ(tourGoodOrderPageDataVo);
     }
}